_MAPERR(3)

NAME
_mapErr - map GS/OS error codes to UNIX errno codes

SYNOPSIS
#include <gno/gno.h>

int _mapErr(int err);

DESCRIPTION
_mapErr takes a GS/OS error code err (typically returned by toolerror(3) or taken from the value of the global integer _toolErr) and maps it to a UNIX error code suitable for use with perror(3) and related routines.

If err is zero, _mapErr returns zero. If there is no direct mapping, then EIO is returned.

SEE ALSO
perror(3), toolerror(3), and the GS/OS Reference Manual.